pro make_pixelscale_sims

;Makes images varying pixelscale for n_effective scaling study
;NOTE: TRANSFER TO SIMAGE DIRECTORY TO COMPILE/EXECUTE

param_file="paper_test.param"

random_seed = 1
exposure_time = 400

for i = 1, 15, 1 do begin

n_star = 10000
n_gals = 1

pixel_scale = replicate((0.025+(0.025*i)),6)
outfile= simage_shapelets_paths(1,/silent) + "star_exp400s_pixelscale_"+strcompress(pixel_scale(2),/rem)
outfile=replicate(outfile,6)
simage,param_file,outfile=outfile, random_seed=random_seed, exposure_time=exposure_time, pixel_scale=pixel_scale, n_star = n_star, n_gals = n_gals

endfor


for i = 1, 15, 1 do begin

pixel_scale = replicate((0.025+(0.025*i)),6)
outfile= simage_shapelets_paths(1,/silent) + "galaxy_exp400s_pixelscale_"+strcompress(pixel_scale(2),/rem)
outfile=replicate(outfile,6)
simage,param_file,outfile=outfile, random_seed=random_seed, exposure_time=exposure_time, pixel_scale=pixel_scale

endfor

return
end

