pro make_cosmos_sims

n=10
param_file="/scr2/bmd/cleaned_up_simage/shapelet_sims/udf/COSMOS.param"
exposure_time=222000

random_seed=47475500
;crazy seed ?
debug=0

for i=0, n-1 do begin
   outfile=replicate("COSMOS_IMAGE_"+strcompress(exposure_time[0],/rem)+"_"+strcompress(i,/rem),6)
   simulate_udf,param_file,exposure_time=exposure_time,outfile=outfile,random_seed=random_seed+i,debug=debug,area=3.0
endfor
return
end

