pro simage_find_udf_obj,imfile,dumpfile,im,scat,x,y,obj,objlist,xlist,ylist,nodisp=nodisp,donew=donew

if n_params() eq 0 then begin
    print,'-syntax find_udf_obj,imfile,dumpfile,im,scat,x,y,obj,objlist,xlist,ylist,nodisp=nodisp,donew=donew'
    return
endif

if n_elements(donew) eq 0 then donew=0
if n_params() eq 0 then begin
    print,'-syntax find_udf_obj,imfile,dumpfile,im,x,y,obj'
    return
endif

if n_elements(im) eq 0 or donew then begin
    im=mrdfits(imfile)
endif
if (n_elements(x) eq 0 and n_elements(obj) eq 0 and n_elements(y) eq 0) or donew then begin
    ;readcol,'dune_Mar12_test_2000.dump',i,obj,x,y,r
    readcol,dumpfile,i,obj,x,y,r
endif

if n_elements(scat) eq 0 or donew then begin
    scatfile='/scr/davej/data/shapecat_total_trim.sav'
    restore,scatfile
    scat=new_shapecat
    delvarx,new_shapecat
endif
nband=n_elements(scat)


;i=long(i)
obj=long(obj)

if not keyword_set(nodisp) then begin
    slide,im,max=0.05
                                ;tvim2,im,r=[0,.1]
endif

!p.thick=1
tvcircle,10,x,y,/data,color=!yellow

go=1

objlist=[-999L]
xlist=[-1.0]
ylist=xlist

while go do begin
    
    print,'move sliders to object'
    print,'ok? (q,s,d)'
    junk=''
    read,junk
    if junk eq 'q' then return
    if junk eq 's' then stop
    if junk eq 'd' then begin
        print,'All Done'
        goto,endloop
    endif
    print,'click object '
    cursor,xc,yc,/data,/down
    
    tvcircle,20,xc,yc,/data,color=!magenta,thick=2
    
    ep=3.0
    allow=3
    
    dis=sqrt((x-xc)^2 + (y-yc)^2)
    dmin=min(dis,wmin)
    object=obj[wmin]
    xobj=x[wmin]
    yobj=y[wmin]
    objlist=[objlist,object]
    xlist=[xlist,xobj]
    ylist=[ylist,yobj]

    print,'Closest Object:   
    print,'Object = ',strcompress(object),'  dist = ',strcompress(dmin),'  pixels  position ',xobj,yobj
    print
    
    tvcircle,10,xobj,yobj,/data,color=!green
    
    rad=30.0
    w=where(dis lt rad,nrad)
    s=sort(dis[w])
    w=w[s]
    
    print,'Others'
    print,'          Obj        Dist'
    print,'------------------------------'
    for i=0, nrad-1 do begin
        print,obj[w[i]],dis[w[i]]
    endfor
    plotsave
    simage_display_shapelet_object,scat,object
    plotrestore
endwhile

endloop:

objlist=objlist[1:*]
xlist=xlist[1:*]
ylist=ylist[1:*]

return
end



