pro cal_exptime,logt,msig

T=[250.0,2000.0,8000.0,3200.0]
logt=1.25*alog10(T/2000.0)


z=26.1827
pscale=0.05

f=['i_SNAP_Test_star_250_noisy.fits','i_SNAP_Test_star_2000_noisy.fits',$
'i_SNAP_Test_star_8000_noisy.fits','i_SNAP_Test_star_3200_noisy.fits']

n=4

msig=fltarr(n)
for i=0, n-1 do begin
    im=mrdfits(f[i],0,hdr)
    gary_noise_level,im,z,pscale,magn=magn
    msig[i]=magn
endfor

plot,logt,msig,/yno

B=mean(msig)-mean(logt)

print,'B = ',B

;determined to be 28.1333
;so Mag_sigma = 28.1333 + 1.25*alog10(T/2000)


oplot,logt,B+logt,color=!red,linest=2

stop
return
end


