pro check_star_psf,ee50,file=file,nodis=nodis,im=im,cat=cat

if n_elements(file) eq 0 then begin
    ;kishar4
    file='/scr/davej/data/i_SNAP_GRID_star_6081_0.060_noisy.fits'
endif

print,file

if n_elements(im) eq 0 then im=mrdfits(file,0,hdr)


if n_elements(cat) eq 0 then begin
    catfile='~/test_cat.fits'
    cmd='sexy '+file+' '+catfile
    spawn,cmd
    cat=mrdfits(catfile,1,h)
endif

f=cat.flux_auto
x=cat.x_image-1.
y=cat.y_image-1.
imax=0.05

if not keyword_set(nodis) then begin
;tvim2,im,r=[0,.1]
    slide,im,max=imax
endif

tvcircle,20,x,y,/data,color=!yellow


e=fltarr(1000)
junk=''
k=0L
while junk ne 'q' do begin
    print,'Find a star (or type q)'
    read,junk
    
    if junk ne 'q' then begin
        
        print,'Click star'
        cursor,xx,yy,/data,/down
        
        d2=(x-xx)^2 + (y-yy)^2
        
        md=min(d2,wm)
        
        xc=x[wm]
        yc=y[wm]
        
        tvcircle,25,xc,yc,color=!magenta,thick=2,/data
        
        buf=11
        
        xmin=long(xc)-buf
        ymin=long(yc)-buf
        xmax=xmin+2*buf
        ymax=ymin+2*buf
        
        i=im[xmin:xmax,ymin:ymax]
        help,i
        
        xcen=xc-xmin
        ycen=yc-ymin
        
        plotsave
        window,1
        tvim2,i,r=[0,imax*2]
        tvcircle,5,xcen,ycen,/data,color=!magenta
        tvcircle,2,xcen,ycen,/data,color=!magenta
        
        get_ee50_pix,i,ee50,/dis
        plotrestore
        e[k]=ee50
        
        k++
    endif
endwhile

ee50=e[0:k-1]

return
end


