pro gary_noise_level,im,z,pscale,magn=magn,hdr=hdr

if n_params() eq 0 then begin
    print,'-syntax gary_noise_level,im,z,pscale,magn=magn,hdr=hdr'
    return
endif

if n_elements(hdr) ne 0 then begin
    z=sxpar(hdr,'photozp') 
    pscale=sxpar(hdr,'pixsize')
endif

print,'Zeropoint   = ',z
print,'Pixel scale = ',pscale

sky_noise,im,m,sig,/plot

sigma=sig/pscale
magn=z-2.5*alog10(sigma)

print,'Mag noise  = ',magn

return
end


