pro gary_pars,msig,exptime,ee50,pscale,bin,exp_num,ps_letter
;Get Gary's choices of noise mags, PSF size and pixel scale

if n_params() eq 0 then begin
    print,'-syntax gary_pars,msig,exptime,ee50,pscale,bin,exp_num,ps_letter'
    return
endif

msig=reverse([28.05,28.30,28.55,28.80,29.05,29.30])
exptime=10.0^((msig-24.07)/1.25)

ee50=[0.072,0.105,0.125,0.177,0.25,0.355,0.50]

pscale=[0.03,0.03,0.06,0.09,0.12,0.18,0.24]

bin=[1    ,   1   ,    2   ,    3   ,    4   ,    6    ,   8]

exp_num=strcompress(indgen(6)+1,/rem)

ps_letter=['A',       'B',       'C',       'D',       'E',       'F',       'G']


return
end

