pro get_ee50_pix,im,ee50,display=display,cenx=cenx,ceny=ceny

s=size(im,/dim)
nx=s[0]
ny=s[1]

l=lindgen(nx*ny)
x=float(l mod nx)
y=float(l/nx)
tot=total(im)

if n_elements(cenx) eq 0 then cenx=total(x*im)/tot
if n_elements(ceny) eq 0 then ceny=total(y*im)/tot

guess=[tot,cenx,ceny,4.0,4.0,0.0,2.0,0.0]
fit2dt,im,p,guess=guess,plot=display

if keyword_set(display) then begin
    print,'Ok?'
    key=get_kbrd(20)
    if key eq 'q' then return
    if key eq 's' then stop 
endif

cenx=p[1]
ceny=p[2]

x=x-cenx
y=y-ceny

r=sqrt(x^2+y^2)

s=sort(r)
i=im[s]/tot
r=r[s]
c=total(i,/cum)

w=where(c ge 0.5)
w=w[0]
rhalf=r[w]

print,'rhalf = ',rhalf

if 1 then begin
    plot,r,c,psym=-7,xr=[0,2*rhalf]
    oplot,[1,1]*rhalf,[0,1000],color=!red
endif

ee50=rhalf

return
end
