pro get_gary_mask,x,y,im,mask,pscale=pscale
;display the image first with tvim2

print,'click Top point'
cursor,x0,y0,/data,/down
tvcircle,50,x0,y0,/data,color=!yellow

print,'click right point'
cursor,x1,y1,/data,/down
tvcircle,50,x1,y1,/data,color=!yellow

print,'click bottom point'
cursor,x2,y2,/data,/down
tvcircle,50,x2,y2,/data,color=!yellow

print,'click left point'
cursor,x3,y3,/data,/down
tvcircle,50,x3,y3,/data,color=!yellow

x=[x0,x1,x2,x3,x0]
y=[y0,y1,y2,y3,y0]

oplot,x,y,color=!magenta

s=size(im,/dim)
nx=long(s[0])
ny=s[1]

l=lindgen(nx*ny)
xp=float(l mod nx)
yp=float(l/nx)

;can cut and paste this bit of code
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
mask=replicate(0b,n_elements(xp))
;four cuts
mask=replicate(0b,n_elements(xp))
true=[1,0,0,1]
for i=0, 3 do begin
    m=(y[i+1]-y[i])/(x[i+1]-x[i])
    b=(x[i+1]*y[i]-x[i]*y[i+1])/(x[i+1]-x[i])
    iflag=(yp gt (m*xp+b)) eq true[i]
    mask=mask+iflag
    ;tvim2,reform(mask,nx,ny)
endfor
mask=(mask < 1b) eq 0
wgood=where(mask,ngood)
wbad=where(mask eq 0,nbad)
print,'nbad = ',nbad
print,'good = ',ngood

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

if n_elements(pscale) gt 0 then begin
    area=ngood*((pscale/60.0)^2)
    print,'Area in mask ',area,' arcmin^2'

endif


tvim2,im*mask,r=[0,.1]
oplot,x,y,color=!magenta

print,'now get the square'

print,'click lower left'
cursor,x0,y0,/data,/down
tvcircle,30,x0,y0,/data,color=!green
x0=long(x0)
y0=long(y0)


print,'click upper right'
cursor,x1,y1,/data,/down
tvcircle,30,x1,y1,/data,color=!green
xbox=[x0,x0,x1,x1,x0]
ybox=[y0,y1,y1,y0,y0]
x1=long(x1)
y1=long(y1)

print,'Box Coordinates'
print,'x0=',x0
print,'y0=',y0
print,'x1=',x1
print,'y1=',y1


oplot,xbox,ybox,color=!green

print
print,'Mask coordinates'
print,'x_mask= ',x
print,'y_mask= ',y




return
end
