pro get_snap_zeros,num
;num =4 is i-band

get_snap_trans,lam,T,num=num

plot,lam,T,psym=-7,color=!blue

area= 2.6389378             ;detecting area in m^2
filter_zeropoint,lam,T,area,z,W

print,'z = ',z
print,'w = ',W

c=3e18                          ;speed of light in A/sec
get_zodi,ll,zz
zod=interpol(zz,ll,lam)
F=int_tabulated(lam,zod*T*lam)/(c*W)
mag_sky=-2.5*alog10(F)-48.6
mag_sigma1=(z+mag_sky)/2.0

print,'F = ', F
print,'mag_sky = ',mag_sky
print,'mag_sigma = ',mag_sigma1,' +1.25*alog10(T) '

return
end
