pro rename_grid_files

;on elidir
rdir='/scr/davej/data/GRIDs/'
newdir='/scr/davej/data/GRIDs/sim/'

sta=3
fin=9
num=fin-sta+1

gary_pars,msig,exptime,ee50,pscale,bin,exp_num,ps_letter

expt=strcompress(round(exptime),/rem)
ps=strmid(strcompress(pscale,/rem),0,5)

print,expt
print,ps

print,exp_num
print,ps_letter

print
print

n_exp=6
n_ps=7

star_gal=['','_star']

for i=0, n_exp-1 do begin
    for j=0,n_ps-1 do begin
        e=expt[i]
        en=exp_num[i]
        p=ps[j]
        pl=ps_letter[j]


        knum=strcompress(3+long(j),/rem)
        olddir=rdir+'k'+knum+'/'

        for k=0, 1 do begin
            sg=star_gal[k]
            
            
            newfile=newdir+'degrade_i'+pl+en+sg+'.fits'
            newerfile=newdir+'sim_i'+pl+en+sg+'.fits'
            oldfile=olddir+'i_SNAP_GRID'+sg+'_'+e+'_'+p+'_noisy.fits'
            
            old_ex=file_test(oldfile)
            
            if old_ex then begin
                
                if 1 then begin
                    print,'exptime = ',e,' exp_num = ',en,'
                    print,'pixsize = ',p,' pix_letter = ',pl
                    
                    print,'oldfile : ',oldfile,old_ex
                    print,'newfile : ',newfile
                    print
                endif
                
                ;now move or copy it
                
                cmd='cp '+oldfile+' '+newfile
                ;print,cmd
                spawn,cmd

            endif else begin
                print,'exptime = ',e,' exp_num = ',en,'
                print,'pixsize = ',p,' pix_letter = ',pl
                
                
                print,'Cannot find ',oldfile
                print
            endelse
            
            if file_test(newfile) then begin
                cmd='mv '+newfile+' '+newerfile
                ;print,cmd
                spawn,cmd

            endif
            
        endfor
    endfor
endfor
    



return
end
