pro simage_get_dune_throughput,l,f,plot=plot

;file='~/Desktop/friz_v2.pb'
;file='/Users/djohnsto/acs_trans/trans/DUNE_filterset.dat'
file=simage_shapelets_paths(1,/silent)+"acs_trans/DUNE_filterset.dat"

readcol,file,l,qe,tp,f1,f2,f3,/silent

l=l*10.0                        ;angstroms
tp=tp/100.0
f1=f1/100.0
f2=f2/100.0
f3=f3/100.0

xtit=!csym.lambda+'  ( Angstroms )'
if keyword_set(plot) then plot,l,tp,xtit=xtit,yr=[0,1],/nodata

dx=shift(l,-1)-l
n=n_elements(l)
dx=dx[0:n-2]

ff=fltarr(n,3)
ff[*,0]=f1
ff[*,1]=f2
ff[*,2]=f3

tot=fltarr(3)
ps=[1,7,4]

col=[!red,!blue,!green]
ls=[0,2,2]
for i=0,2 do begin
    f=ff[*,i]
    y=0.5*(f+shift(f,-1))
    y=y[0:n-2]
    t=dx*y
    tot[i]=total(t)
    if keyword_set(plot) then oplot,l,f,color=col[i],linest=ls[i]
endfor 

print,'Filts:             RIZ           IZY           UGR'     
print,'----------------------------------------------------------'
print,'Total  trans', tot

return
end
