pro simage_get_dune_trans,lam,T,filt=filt
;get the dune transmission curve

;file='/Users/djohnsto/acs_trans/trans/DUNE_filterset.dat'
file=simage_shapelets_paths(1,/silent)+"acs_trans/DUNE_filterset.dat"

readcol,file,lam,qe,tp,f1,f2,f3,/silent

lam=lam*10.0                        ;angstroms
tp=tp/100.0
f1=f1/100.0
f2=f2/100.0
f3=f3/100.0

filts=['RIZ','IZY','UGR']

w=where(filts eq filt,nf)

if nf eq 0 then begin
    print,'ERROR  -  Filter ',filt,' not in list'
    print,filts
    lam=-1
    T=-1
endif

if w[0] eq 0 then T=f1          ;RIZ
if w[0] eq 1 then T=f2          ;IZY
if w[0] eq 2 then T=f3          ;UGR

return
end
