pro simage_count_rrg_all,n,nFD

msize=['900mm','1200mm','1500mm','1800mm','2000mm','2200mm']
msizeFD=['900mmFD','1200mmFD','1500mmFD','1800mmFD','2000mmFD','2200mmFD']

n=fltarr(6)
nFD=n

for i=0, 5 do begin
    simage_count_rrg,msize[i],str,str_med,numpass
    n[i]=numpass
    simage_count_rrg,msizeFD[i],str,str_med,numpass
    nFD[i]=numpass
endfor

s=float([900,1200,1500,1800,2000,2200])/1000.0

npix=1638
pscale=0.1

A=(npix*pscale/60.0)^2
print,' Area = ',A
n=n/A
nFD=nFD/A

xtit='Mirror Diameter (m)'
ytit='Num Useable Galaxies'

plot,s,n,psym=-7,/nodata,xtit=xtit,ytit=ytit,tit=tit,yr=[20,120]
oplot,s,n,psym=-7
oplot,s,nFD,psym=-1,color=!red

xyouts,0.6,105,'Fixed exposure time E = (2000 sec)'
xyouts,0.6,95,'Fixed # of photons E = (2000 sec) * (2/D)!E2!N',color=!red

return
end
