pro make_exposure_sims

;Makes images varying exposure time for n_effective scaling study
;NOTE: TRANSFER TO SIMAGE DIRECTORY TO COMPILE/EXECUTE

param_file="paper_test.param"

random_seed = 1
pixel_scale = replicate(0.10,6)

for i = 1, 15, 1 do begin

n_star = 100
n_gals = 1

exposure_time = 50.0 + (50.0*i)
outfile= simage_shapelets_paths(1,/silent) + "star_pix01as_exposure_"+strcompress(exposure_time,/rem)
outfile=replicate(outfile,6)
simage,param_file,outfile=outfile, random_seed=random_seed, exposure_time=exposure_time, pixel_scale=pixel_scale, n_star = n_star, n_gals = n_gals

endfor

for i = 1, 15, 1 do begin

exposure_time = 50.0 + (50.0*i)
outfile= simage_shapelets_paths(1,/silent) + "galaxy_pix01as_exposure_"+strcompress(exposure_time,/rem)
outfile=replicate(outfile,6)
simage,param_file,outfile=outfile, random_seed=random_seed, exposure_time=exposure_time, pixel_scale=pixel_scale

endfor

return
end
