#!/usr/local/bin/perl

## catgen.pl
 # 
 # Make many fake SE catalogs for use with simages.
 #
 # F. W. High
 # 6/2004
 ##

use strict;

my $howMany = 10;

for (my $i = 0; $i < $howMany; $i++) {

    my $catName = "F-HDF$i";
    my $randomSeed = $i + 1;

    print `generate_catalogue "$catName" $randomSeed 2>&1`;
}
