pro simage_convert_psf,im,hdr

file='/scr/davej/data/Dune-PSF2c.fits'
outfile='/scr/davej/data/Dune-PSF2c_convert.fits'

im=mrdfits(file,0,hdr)

tvim2,im

s=size(im,/dim)
nx=s[0]
ny=s[1]

mx=max(im[*],wm)
xm=wm mod nx
ym=wm/nx

print,xm,ym

ims=im[23:97-23-1,23:97-23-1]

tvim2,alog10(ims)

help,ims

s=size(ims,/dim)
nx=s[0]
ny=s[1]


mx=max(ims[*],wm)
xm=wm mod nx
ym=wm/nx

print,xm,ym

ims=ims/total(ims)
im_log=alog10(ims)
pscale=0.115/4.0

sxaddpar,hdr,'PSCALE',pscale
sxaddpar,hdr,'UNITS','dB'

print,hdr

writefits,outfile,im_log,hdr

im=mrdfits(outfile,0,hdr)

return
end

