pro simage_convert_psf2,im,hdr

file='/scr/davej/data/dunePSF-Gauss.fits'
outfile='/scr/davej/data/dunePSF-Gauss-convert.fits'

im=mrdfits(file,0,hdr)

tvim2,im

s=size(im,/dim)
nx=s[0]
ny=s[1]

mx=max(im[*],wm)
xm=wm mod nx
ym=wm/nx

print,xm,ym

ims=im[23:97-23-1,23:97-23-1]

;tvim2,alog10(ims)

help,ims

s=size(ims,/dim)
nx=s[0]
ny=s[1]


mx=max(ims[*],wm)
xm=wm mod nx
ym=wm/nx

print,xm,ym

l=lindgen(nx*ny)
x=float(l mod nx)-nx/2
y=float(l/nx)-ny/2
sig_big=13.0
r2=x^2+y^2
u=r2/(sig_big^2)
im_add=exp(-0.5*u)*1e-7/max(ims)
ims=ims+im_add

ims=ims/total(ims)
im_log=alog10(ims)

tvim2,im_log

pscale=0.115/4.0

sxaddpar,hdr,'PSCALE',pscale
sxaddpar,hdr,'UNITS','dB'

print,hdr

writefits,outfile,im_log,hdr

im=mrdfits(outfile,0,hdr)

return
end

