pro simage_display_shapelet_object,scat,object,win=win
;scat is the array of shapecats for all 6 bands
;object is the index to display

pmo=!p.multi
!p.multi=[0,3,2]
if n_elements(win) eq 0 then win=4
permax=0.5
wsize=300L

band=['b','v','i','z','j','h']
nband=n_elements(band)

for j=0, nband-1 do begin
    cat=scat[j]
    decomp=simage_shapelets_shapecat2decomp(cat,object)
    simage_shapelets_recomp,decomp,recomp
    if j eq 0 and win ne -1 then window,win,xsize=wsize*3,ysize=wsize*2
    tvim2,recomp,r=[0,max(recomp)*permax],tit=band[j]
endfor

!p.multi=pmo

return
end



