pro simage_get_psf,psf,rec,pixsize=pixsize

if n_params() eq 0 then begin
    print,'-syntax simage_get_psf,psf,rec,pixsize=pixsize'
    return
endif

if n_elements(pixsize) eq 0 then pixsize=0.05

drizzle_fac=2.0

psize_mic=10.0/drizzle_fac

simage_shapelets_read_psf,psf,thispsf=simage_shapelets_paths(4,/silent)+'PSF/fits/rhodes_11.fits',$
                     pixsize=pixsize,lambda=lambda,diff_length=4.0*(10.0/psize_mic)

return
end
