pro simage_get_zodi,ll,zz

if n_params() eq 0 then begin
    print,'-syntax get_zodi,l,z'
endif

;dir='~/data/SNAP/'
dir=simage_shapelets_paths(1,/silent)+'/acs_trans/'

z_file=dir+'Zodi.dat'
readcol,z_file,ll,zz,/silent
ll=ll*1e4
zz=zz/ll^2

c=3e18                          ;speed of light in A/s
h=6.626e-27                     ;Planck's constant 

Srad=((180/!pi)*3600.)^2       ;arcec^2 /Sr

fac=h*c/Srad/1e4

zz=zz*fac



return
end
