pro check_massimo,z=z


if n_elements(z) eq 0 then z=0.0
file='/Users/djohnsto/Desktop/seds.txt'

readcol,'~/Desktop/seds.txt',f1,f2,f3,f4,s1,s2,s3,s4

;frequencies in 10^15 Hz
;convert to angstroms

lam1=3e3/f1 
lam2=3e3/f2
lam3=3e3/f3
lam4=3e3/f4

fac=1e10
s1=fac*s1/lam1^2
s2=fac*s2/lam2^2
s3=fac*s3/lam3^2
s4=fac*s4/lam4^2

s=(s1+s2+s3+s4)/4.0

ytit='F!D'+!csym.lambda+'!N'
tit='Z = '+strmid(strcompress(z,/rem),0,5)
plot,lam1*(1+z),s1,yr=[1,200],xr=[3000,11000],xtit=!csym.lambda,ytit=ytit,tit=tit,/xst
oplot,lam2*(1+z),s2,color=!blue
oplot,lam3*(1+z),s3,color=!red
oplot,lam4*(1+z),s4,color=!purple
oplot,lam4*(1+z),s,color=!orange,linest=3


;dune filers
dfile='/Users/djohnsto/acs_trans/trans/DUNE_filterset.dat'
readcol,dfile,l,qe,tp,f1,f2,f3,/silent
l=l*10

oplot,l,f1,color=!magenta,linest=2
oplot,l,f2,color=!green,linest=2




return
end

