pro check_sim_images,str

rdir='/scr/davej/data/GRIDs/'
simdir=rdir+'sim/'
degdir=rdir+'degrade/'

gary_pars,msig,exptime,ee50,pscale,bin,exp_num,ps_letter

n_exp=n_elements(exptime)
n_ps=n_elements(ps_letter)

star_gal=['','_star']

str={ps_lett:'',expn:0,pscale:0.0,exptime:0.0,simfile:'',degfile:'',msig_sim:0.0,msig_deg:0.0}

str=replicate(str,n_exp,n_ps,2)

;for i=0, n_exp-1 do begin
for i=0, 0 do begin

    for j=2,n_ps-1 do begin
        en=exp_num[i]

        pl=ps_letter[j]

        tag='_i'+pl+en
        ;just gals for now
        for k=0, 0 do begin
            sg=star_gal[k]
            
            simfile=simdir+'sim'+tag+sg+'.fits'
            degfile=degdir+'degrade'+tag+sg+'.fits'

            sim_ex=file_test(simfile)
            deg_ex=file_test(degfile)
            
            ;str={ps_lett:'',expn:0,msig_exp:0.0,msig_calc:0.0,pscale:0.0,exptime:0.0,imfile:''}

            
            str[i,j,k].ps_lett=pl
            str[i,j,k].expn=long(en)
            str[i,j,k].pscale=pscale[j]
            str[i,j,k].exptime=exptime[i]
            str[i,j,k].simfile=simfile
            str[i,j,k].degfile=degfile
            
            check_noise=0
            num_counts=1
            
            if sim_ex then begin
                if check_noise then begin
                    im=mrdfits(simfile,0,hdr)
                    ims=im[0:300,0:300]
                    gary_noise_level,ims,hdr=hdr,magn=magn_sim
                    str[i,j,k].msig_sim=magn_sim
                endif
                
                if num_counts then begin
                    catfile='~/test_cat.fits'
                    cmd='sexy '+simfile+' '+catfile
                    spawn,cmd
                    cat=mrdfits(catfile,1)
                    im=mrdfits(simfile,0,hdr)
                    tvim2,im,r=[0,.02]
                    tvcircle,30,cat.x_image-1,cat.y_image-1,/data,color=!yellow
                    z=sxpar(hdr,'PHOTOZP')
                    wait,1
                    mag=z+cat.mag_auto
                    ss=size(im,/dim)
                    area=ss[0]*ss[1]*(pscale[j]/60.0)^2
                    plothist,mag,hx,hy,bin=.2,/noplot
                    plot,hx,hy,/ylog,/yst,xr=[18,30],/xst,psym=10,yr=[1,max(hy)*2]
                    oplot,hx,total(hy,/cum)/area
                endif

            endif
            
            if deg_ex then begin
                if check_noise then begin
                    im=mrdfits(degfile,0,hdr)
                    binf=2.0/bin[j]
                    x0=        long(2087*binf)
                    y0=        long(2159*binf)
                    x1=        long(3009*binf)
                    y1=        long(3045*binf)
                    ims=im[x0:x1,y0:y1]
                    
                    zgary=25.65
                    gary_noise_level,ims,zgary,pscale[j],magn=magn_deg
                    str[i,j,k].msig_deg=magn_deg
                endif

                if num_counts then begin
                    zgary=25.654
                    
                    catfile='~/test_cat.fits'
                    cmd='sexy '+degfile+' '+catfile
                    spawn,cmd
                    cat2=mrdfits(catfile,1)
                    im=mrdfits(degfile,0,hdr)
                    tvim2,im,r=[0,.02]
                    tvcircle,30,cat2.x_image-1,cat2.y_image-1,/data,color=!yellow
                    gary_udf_mask,cat2.x_image-1,cat2.y_image-1,bin[j],mask,area=area2,/draw                    
                    wg=where(mask,nn)
                    tvcircle,30,cat2[wg].x_image-1,cat2[wg].y_image-1,/data,color=!green

                    print,'ok?'
                    key=get_kbrd(20)
                    if key eq 's' then stop
                    if key eq 'q' then return

                    
                    plot,hx,hy,/ylog,/yst,xr=[18,30],/xst,psym=10,yr=[1,max(hy)*2],xtit='mag'
                    oplot,hx,total(hy,/cum)/area
                    
                    mag2=zgary+cat2.mag_auto
                    
                    plothist,mag2[wg],hx2,hy2,bin=.2,/ov,color=!red
                    oplot,hx2,total(hy2,/cum)/area2,color=!red
                    
                    fudge=1.35
                    ;oplot,hx2,total(hy2,/cum)/area2*fudge,color=!green

                                ;Alexies number counts
                    B_alex=2.0*10.0^(-3.543) ;double to get whole mag
                    A_alex=0.332
                    Ncum=B_alex/(alog(10)*A_alex)*10.0^(A_alex*hx)
                    Ncum=Ncum/3600.0
                    oplot,hx,Ncum,color=!blue,linest=2

                    print,'Ok?'
                    key=get_kbrd(20)
                    if key eq 's' then stop
                    if key eq 'q' then return
                endif
                


            endif
        endfor
    endfor
endfor

return
end
