pro get_snap_trans,lam,T,num=num
;get the snap transmission curve

if n_elements(num) eq 0 then num=4

;print,'Filter number: ',num

dir='/Users/djohnsto/data/SNAP/'

ffile=dir+'snap'+strcompress(num,/rem)+'.txt'
readcol,ffile,junk,lam,filt,/silent
lam=lam*1e4                     ;to angstroms from microns

;plot,lam,filt,psym=-4

tel_file=dir+'snap-tel.txt'
readcol,tel_file,ltel,ttel,/silent
ltel=ltel*1e4
tel=interpol(ttel,ltel,lam)
;oplot,lam,tel,psym=-1,color=!red

if num lt 6 then d_file=dir+'LBL-CCD.txt' else d_file=dir+'HgCdTe.txt'

readcol,d_file,ll,dd,/silent
ll=ll*1e4
d=interpol(dd,ll,lam)

;oplot,lam,d,psym=-1,color=!green

T=d*tel*filt



return
end
