function step3_get_psf,name,path=path,verbose=verbose

if not keyword_set(path) then begin 
    path='.'
    message,"Assuming path to be "+path,/info
endif else begin
; Strip any trailing foward-slash.
    last_char=strmid(path,strlen(path)-1,strlen(path))
    if last_char eq '/' then begin
        path=strmid(path,0,strlen(path)-1)
    endif
endelse
message,"Path="+path,/info


restore,path+'/'+'STEP3_PSFs.sav',verbose=verbose

case name of
    "psfA": return,psfA
    "psfB": return,psfB
    "psfC": return,psfC
    "psfD": return,psfD
    "psfE": return,psfE
    "psfF": return,psfF
    "psfG": return,psfG
    "psfH": return,psfH
    "psfI": return,psfI
    "psfJ": return,psfJ
    "psfK": return,psfK
    "psfL": return,psfL
    "psfM": return,psfM
    else  : message,'Error: no such psf "'+name+'"'
endcase

return,-1

end
