pro snap_to_udf_ratios

udf_fils=['B','V','I','Z']
snap_fils=['0','2','4','5']

n=n_elements(udf_fils)

pmo=!p.multi
!p.multi=[0,2,2]
for i=0, n-1 do begin
    get_hst_trans,lh,th,filt=udf_fils[i]
    get_snap_trans,ls,ts,num=snap_fils[i]
    
    get_filter_zero,'hst',udf_fils[i],s_hst    
    get_filter_zero,'snap',snap_fils[i],s_snap

    rat=s_snap.w/s_hst.w
    rats=strmid(strcompress(rat,/rem),0,5)
    

    tit='UDF = '+udf_fils[i]+' and snap='+snap_fils[i]+ '  T='+rats
    
    plot,ls,ts,tit=tit,xr=[min(ls)-300,max(ls)+200],yr=[0,1]
    oplot,lh,th,color=!red

    if i eq 0 then begin
        xyouts,4000,0.8,'UDF',/data,color=!red,charsize=2,charthick=1.5
        xyouts,4000,0.7,'SNAP',/data,color=!black,charsize=2,charthick=1.5
    endif
    
endfor

!p.multi=pmo

return
end

