pro simage_convert_all_ascii_psf

dir1='/Volumes/Data/PSF/Macenka_JPL/psf1/'
dir2='/Volumes/Data/PSF/Macenka_JPL/psf2/'

f1=findfile(dir1+'rnd*')
f2=findfile(dir2+'lin*')

n1=n_elements(f1)
n2=n_elements(f2)

print,'Converting Directory: ',dir1
for i=0L, n1-1 do begin
    file=f1[i]
    d=file_dirname(file)
    b=file_basename(file)
    bb=str_sep(b,'.txt')
    bb=bb[0]
    fits_file=d+'/fits/'+bb+'.fits'
    simage_convert_ascii_psf,file,fits_file
endfor

print,'Converting Directory: ',dir2
for i=0L, n2-1 do begin
    file=f2[i]
    d=file_dirname(file)
    b=file_basename(file)
    bb=str_sep(b,'.txt')
    bb=bb[0]
    fits_file=d+'/fits/'+bb+'.fits'
    simage_convert_ascii_psf,file,fits_file
endfor



return
end
