pro simage_count_rrg,msize,str,str_med,numpass

if n_params() eq 0 then begin
    print,'-syntax count_rrg,msize,str,str_med,numpass'
    return
endif

;msize='1200mm'

dir='/DATA/'
;dir='/Users/djohnsto/data/nersc/rrg_out_old/'


f=file_search(dir+'LBL_'+msize+'_????_noisy.rrg_out',count=nf)

print,nf,' files for ',msize

if nf eq 0 then begin
    print,'none found'
    return
endif

str1={SN_CUT:0.0,D_CUT_LOWER:0.0,D_CUT_UPPER:0.0,MULT:0.0,MIN_RAD:0.0,$
N_BEFORE_CUTS:0L,$
N_AFTER_QUADC_CUT:0L,$
N_AFTER_ELLIP_CUT:0L,$
N_AFTER_D_CUT:0L,$
N_AFTER_SN_CUT:0L,$
N_AFTER_STAR_CUT:0L}

str_med={SN_CUT:0.0,D_CUT_LOWER:0.0,D_CUT_UPPER:0.0,MULT:0.0,MIN_RAD:0.0,$
N_BEFORE_CUTS:0.0,$
N_AFTER_QUADC_CUT:0.0,$
N_AFTER_ELLIP_CUT:0.0,$
N_AFTER_D_CUT:0.0,$
N_AFTER_SN_CUT:0.0,$
N_AFTER_STAR_CUT:0.0}


str=replicate(str1,nf)
strt=str1

for i=0, nf-1 do begin
    file=f[i]
    restore,file
    simage_copy_struct,rrg_out,strt
    str[i]=strt
endfor

for i=0,4 do str_med.(i)=str[0].(i)

tags=tag_names(str_med)
for i=5,10 do begin
    data=str.(i)
    simage_sigma_clip,data,mm,ss,nsig=4,niter=4
    print,tags[i],' =  ',mm
    str_med.(i)=mm
endfor

numpass=str_med.N_AFTER_STAR_CUT

print,'Number that pass = ',numpass
print

return
end
