pro simage_make_noisier,diam
seed = 3839292721

eta=1.85                         
;aplify the noise by a factor
;sqrt(1+eta^2)

rdir='/Users/djohnsto/data/nersc/LBL/'
dd=strcompress(diam,/rem)+'mm'
dir=rdir+dd+'/'
fnum=5

pref='LBL_'+dd+'_'+pnum(fnum,4)+'_noisy'
prefs='LBL_'+dd+'_'+pnum(0,4)+'_noisy'

pref2='LBL_'+dd+'_'+pnum(fnum,4)+'_noisier'
prefs2='LBL_'+dd+'_'+pnum(0,4)+'_noisier'

imfile=dir+pref+'.fits'
imfiles=dir+prefs+'.fits'

imfile2=dir+pref2+'.fits'
imfiles2=dir+prefs2+'.fits'

im=mrdfits(imfile,0,hdr)
ims=mrdfits(imfiles)

siz=size(im,/dim)
nx=siz[0]
ny=siz[1]

simage_sigma_clip,im,mm,ss,nsig=4,niter=8,/print
print,'sigma(im) ',ss

simage_sigma_clip,ims,mm_s,ss_s,nsig=4,niter=8,/print
print,'sigma(ims) ',ss_s

new_noise=ss*eta
noise=randomn(seed,nx,ny)*new_noise
noises=randomn(seed,nx,ny)*new_noise

im2=im+noise
ims2=ims+noises

print,imfile2
print,imfiles2

writefits,imfile2,im2
writefits,imfiles2,ims2

return
end

