pro simage_print_shear,file=file
;print out the different combinations of gamma1, gamma2 in sensible
;format for putting into the config files

unit=-1
if n_elements(file) ne 0 then begin
    get_lun,unit
    openw,unit,file
    print,'Printing to file: ',file
endif

num=11
dx=0.01
xmax=0.05
x=findgen(num)*dx-xmax
numd=4                          ;number of digits past decimal place to keep
y=x

xx=strarr(500)
yy=xx
k=0L
for i=0, num-1 do begin
    for j=0, num-1 do begin
        xi=x[i]
        yi=y[j]
        if abs(xi) lt .0001 then xi=0.0
        if abs(yi) lt .0001 then yi=0.0

        xx[k]=strmid(strcompress(xi,/rem),0,numd+(xi lt 0)) +'   '+strmid(strcompress(yi,/rem),0,numd+(yi lt 0))
        printf,unit,xx[k]
        k++
    endfor
endfor
xx=xx[0:k-1]

if n_elements(file) ne 0 then begin
    free_lun,unit
endif


return
end
