pro simage_read_lbl_psf,file,psf,pscale
;read a psf file from LBL

nlines=numlines(file)

data=dblarr(3,nlines)

get_lun,unit
openr,unit,file

readf,unit,data

free_lun,unit
x=data[0,*]
y=data[1,*]
d=data[2,*]

nx=sqrt(nlines)
if nx ne long(nx) then begin
    print,"ERROR - doesn't appear to be square"
    return
endif
nx=long(nx)
;change size, and convert to float?
psf=float(reform(d,nx,nx))

pscale=(max(x)-min(x))/(nx-1)

return
end
