pro siamge_sholl_psf,debug=debug,mos=mos,pr=pr

dir='/Users/djohnsto/data/PSF/Sholl_LBL/PSF/fits/'

pscale=0.0082505922             ;arcsec per pixel

f=findfile(dir+'rhodes_??.fits',count=nf)

print,nf,'  files'
nx=201
;window,0
;!p.multi=[0,4,4]

buf=20
nxx=nx*4+buf*5
im=fltarr(nxx,nxx)

k=0L

diam=['1.5','1.8','2.0','2.2']+'m'
ang=['0.33','0.47','0.60','0.73'] ;incidence angle degrees
ang=!csym.theta+' = '+ang


x=findgen(10000)/100

for i=0, 3 do begin
    for j=0, 3 do begin
        k=4*i+j
        im_ij=mrdfits(f[k],0)
        if i eq 1 and j eq 3 then ims=im_ij ;plot this one
        if keyword_set(pr) then begin
            tvim2,im_ij
            print,'i = ',i,' j = ',j
            print,'OK?'
            key=get_kbrd(20)
            if key eq 'q' then return
        endif
        im[buf*(j+1)+nx*j:buf*(j+1)+nx*(j+1)-1,buf*(i+1)+nx*i:buf*(i+1)+nx*(i+1)-1]=im_ij
    endfor
endfor

xtit='Arcseconds'
ytit='Arcseconds'
xr=[-100,100]*pscale
yr=[-100,100]*pscale

if keyword_set(mos) then begin
    
    xg=-45+findgen(4)/3.0*878
    tvim2,-im^2,xst=4,yst=4,/noinv
    
    for i=0, 3 do begin
        ;print,'click x,y for y titles'
        ;cursor,x,y,/data,/down
        xyouts,xg[i]-40,-260,strcompress(diam[i],/rem),/data
        xyouts,-465,xg[i],ang[i],/data
    endfor
    
endif else begin
    tvim2,-ims^2,xst=1,yst=1,xr=xr,yr=yr,xtit=xtit,ytit=ytit
endelse
    
if keyword_set(debug) then stop

return
end
